Skip to main content
Wan 2.7

Wan 2.7 -- Edit a video

Submit video editing task (wan2.7)

POST
/services/aigc/video-generation/video-synthesis
curl --location 'https://dashscope-intl.aliyuncs.com/api/v1/services/aigc/video-generation/video-synthesis' \
  -H 'X-DashScope-Async: enable' \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{
  "model": "wan2.7-videoedit",
  "input": {
    "prompt": "Convert the entire scene to a claymation style",
    "media": [
      {
        "type": "video",
        "url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20260402/ldnfdf/wan2.7-videoedit-style-change.mp4"
      }
    ]
  },
  "parameters": {
    "resolution": "720P",
    "prompt_extend": true,
    "watermark": true
  }
}'
{
  "request_id": "4909100c-7b5a-9f92-bfe5-xxxxxx",
  "output": {
    "task_id": "0385dc79-5ff8-4d82-bcb6-xxxxxx",
    "task_status": "PENDING"
  }
}
Edit videos at up to 1080P using text prompts and optional reference images -- change styles, replace objects, or transfer content from reference images into the source video.

Authorizations

string
header
required

DashScope API Key. Get one from the Qwen Cloud console.

Header Parameters

enum<string>
required

Must be set to enable for asynchronous task submission.

enable

Body

application/json
enum<string>
required

Model identifier. Fixed value: wan2.7-videoedit.

wan2.7-videoedit
wan2.7-videoedit
object
required

Input content for video editing.

object

Video editing parameters.

Response

200-application/json
string

Unique request identifier for tracing and troubleshooting.

4909100c-7b5a-9f92-bfe5-xxxxxx
object